;;; angle convert    Dec. <-> Rad
(defun dtor (temp_ang)   (setq temp_ang (* temp_ang 0.017453292)))
(defun rtod (temp_ang)   (setq temp_ang (* temp_ang 57.29577951)))

(defun c:cl ( / old_osmode old_layer s_point    e_point   mid_point   stoe_angle
		   arc_length stoe_dist stoe_angle divide_ea divide_dist )
   (setq old_osmode (getvar "osmode") old_layer  (getvar "clayer"))
   (setvar "osmode" 0)
   (IF (= arc_length nil) (setq arc_length 20))
   (setq arc_length (getdist (strcat "\n\n   CLOUD ũ⸦ Էϼ <" (rtos arc_length) "> : " )))
   (setq s_point (getpoint "\n\n   ó ġ ˷ּ ? :"))
   (command "PLINE" s_point "W" 0.0 0.0 "A")
   (while (setq e_point (getpoint s_point "\n\n    ġ ˷ּ ? :"))
      (setq stoe_dist  (distance s_point e_point)
	    stoe_angle (angle    s_point e_point)
            divide_ea  (atoi(rtos (/ stoe_dist arc_length))))
	    
      (if (eq  divide_ea  0)(setq divide_ea 1))
      (setq divide_dist (/ stoe_dist divide_ea) i 1)
      (repeat divide_ea
	 (setq mid_point (polar s_point stoe_angle (* divide_dist i)))
	 (command "A"  "100" mid_point )
	 (setq i (+ 1 i))
      )
      (setq s_point e_point)
   )
   (command "")
   (setvar "osmode" old_osmode)
)
